### Hierarchy

- ClientDataRepositoryImpl

### Implements

- ClientDataRepository

## Index

### Constructors

- constructor

### Methods

- getData
- getFile
- updateData
- uploadFile

## Constructors

### constructor

- new ClientDataRepositoryImpl(transport: HttpTransport): ClientDataRepositoryImpl

- - Defined in repository/client/ClientDataRepositoryImpl.ts:14

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns ClientDataRepositoryImpl

## Methods

### getData

- getData(pk: string, fieldKey?: string | Array<string>): Promise<Map<string, string>>

- Implementation of ClientDataRepository.getData

  - Defined in repository/client/ClientDataRepositoryImpl.ts:20

  #### Parameters

  - ##### pk: string

  - ##### Optional fieldKey: string | Array<string>

  #### Returns Promise<Map<string, string>>

### getFile

- getFile(pk: string, fileId: number): Promise<string>

- Implementation of ClientDataRepository.getFile

  - Defined in repository/client/ClientDataRepositoryImpl.ts:50

  #### Parameters

  - ##### pk: string

  - ##### fileId: number

  #### Returns Promise<string>

### updateData

- updateData(pk: string, data: Map<string, string>): Promise<Map<string, string>>

- Implementation of ClientDataRepository.updateData

  - Defined in repository/client/ClientDataRepositoryImpl.ts:41

  #### Parameters

  - ##### pk: string

  - ##### data: Map<string, string>

  #### Returns Promise<Map<string, string>>

### uploadFile

- uploadFile(pk: string, file: FileMeta, fileId?: number | null): Promise<FileMeta>

- Implementation of ClientDataRepository.uploadFile

  - Defined in repository/client/ClientDataRepositoryImpl.ts:61

  #### Parameters

  - ##### pk: string

  - ##### file: FileMeta

  - ##### Optional fileId: number | null

  #### Returns Promise<FileMeta>

Generated using TypeDoc